### Method

# EDataServer SourceCredentialsProviderImpl lookup_sync

since: 3.16

#### Declaration [src]

    gboolean
    e_source_credentials_provider_impl_lookup_sync (
      ESourceCredentialsProviderImpl* provider_impl,
      ESource* source,
      GCancellable* cancellable,
      ENamedParameters** out_credentials,
      GError** error
    )

#### Description [src]

Asks `provider_impl` to lookup for stored credentials for `source`. The `out_credentials` is populated with them. If the result is not `NULL`, then it should be freed with `e_named_parameters_free()` when no longer needed.

Default implementation returns `FALSE` and sets #G_IO_ERROR_NOT_SUPPORTED error.

If an error occurs, the function sets `error` and returns `FALSE`.

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`out_credentials`

  Type: `ENamedParameters`

  An `ENamedParameters` to be set with stored credentials.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.